<html>
	<head>
		<title>ExTriângulo</title>
	</head>

<body>
<script>


function classificarTriangulo(){

	debugger ; 

		var x = document.getElementById('x') ; 
			var lado1 = parseFloat(x.value);
		var y = document.getElementById('y') ;
			var lado2 = parseFloat(y.value);
		var z = document.getElementById('z') ;
			var lado3 = parseFloat(z.value);
		var resultado = document.getElementById('resultado') ; 
		
		if(isTriangulo(lado1 , lado2 , lado3)){
			var triangulo = 'Verificar tipo triângulo!' ;
			var tipo = 'nao sei';
			//tipo
			
			resultado.innerHTML = triangulo + '<br />' + tipo ;
			
		}else{
		
			resultado.innerHTML = 'Não forma triângulo!' ;
		
		}
		
		
		
		/*
		if(isNaN(lado1) || isNaN(lado2) || isNaN(lado3)){
			resultado.innerHTML = 'Favor digitar apenas números...' ; 
		}else{
			if {
				
			}else{
				if(lado1 == lado2 == lado3) {
					resultado.innerHTML = 'Este é um triângulo equilátero!' ;
				}else if(lado1 == lado2) || (lado2 == lado3) || (lado3 == lado1){
					resultado.innerHTML = 'Este é um triângulo isósceles' ;
				}
				else if(lado1!= lado2 != lado3){
				resultado.innerHTML = 'Este é um triângulo escaleno' ;
				}
			}
		}
		*/

		

}



function isTriangulo(a , b ,c ){
	return ( (a <= b + c) && (b <= a + c) && (c <= a + b)) ; 
}


</script>

<label for="x">Some os lados:</label>


<input style="width : 50px;" type="text" id="x"  />
<input style="width : 50px;" type="text" id="y"  />
<input style="width : 50px;" type="text" id="z"  />

<input type="button" value="Verificar o triangulo" onclick="classificarTriangulo();"/>
<p id="resultado">
</p>

</body>

</html>